module Analytics
  module Serializer
    class Swift < Base
      # An abstract method used to save a file at provided path.
      def save(path)
        files = [
          AnalyticsFile,
          Event,
          Logger,
          Screen,
          UserProperty
        ]

        files.each do |f|
          f.new(@src).save(path)
        end
      end
    end
  end
end
