module Analytics
  module Templates
    # Returns the template at provided path.
    # Path is relative to the path of this file.
    # E.g. to get file at templates/swift/test,
    # call tmpl_at('swift/test').
    def self.tmpl_at(path)
      final_path = File.join(__dir__, path)
      File.open(final_path, &:read)
    end
  end
end
