# -*- encoding: utf-8 -*-
# stub: ios_analytics_cli 1.1.0 ruby lib

Gem::Specification.new do |s|
  s.name = "ios_analytics_cli".freeze
  s.version = "1.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Mario Galijot".freeze]
  s.bindir = "exe".freeze
  s.date = "2020-07-08"
  s.description = "    This gem is developed in order to reduce the time needed to even start with the implementation of Analytics in iOS apps,\n    by generating files, classes, methods & everything else that's required to call a specific event, change a user property,\n    or even track an open screen. By calling just 2 commands, analytics init & analytics generate,\n    all of these are generated for You from the appropriately configured JSON file.\n".freeze
  s.email = ["mario.galijot@infinum.com".freeze]
  s.executables = ["analytics".freeze]
  s.files = ["exe/analytics".freeze]
  s.homepage = "https://github.com/infinum/ios-analytics-cli/".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "CLI tool that generates Analytics files, for iOS project, from a JSON file.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.17"])
    s.add_development_dependency(%q<minitest>.freeze, ["~> 5.0"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.82.0"])
    s.add_runtime_dependency(%q<commander>.freeze, ["~> 4.5.2"])
    s.add_runtime_dependency(%q<tty-prompt>.freeze, ["~> 0.21.0"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.17"])
    s.add_dependency(%q<minitest>.freeze, ["~> 5.0"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.82.0"])
    s.add_dependency(%q<commander>.freeze, ["~> 4.5.2"])
    s.add_dependency(%q<tty-prompt>.freeze, ["~> 0.21.0"])
  end
end
